package net.emulab.netlab.client;

import java.util.prefs.Preferences;
import java.util.prefs.PreferencesFactory;

/**
 * Copyright 2003 Robert Slifka. All rights reserved.
 * 
 * Returns do-nothing Preferences implementation. We don't use this facility, so
 * we want to avoid the hassles that come with the JVM's implementation.
 * 
 * @author Robert Slifka (rslifka@sfu.ca)
 */
public class DisabledPreferencesFactory implements PreferencesFactory {

	public Preferences systemRoot() {
		return new DisabledPreferences();
	}

	public Preferences userRoot() {
		return new DisabledPreferences();
	}
}
