/*
 * ElementController.java
 *
 * Copyright (c) 2005 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package net.emulab.netlab.client;

import net.emulab.ns.NSObject;

public interface ElementController extends Controller {
	String PROXIMITY_TOOLTIP = "Drag wire to connect objects";

	void setElement(Object component);

	void delete(Object component);

	Object copyElement(NSObject component) throws Exception;

	boolean verifyElement(ProgressController pc, Object component)
			throws Exception;
}
