package thinlet;

public interface ThinletDropDestination extends ThinletDelegate {
	boolean draggingEntered(Thinlet thinlet, ThinletDragInfo tdi);

	void draggingUpdated(Thinlet thinlet, ThinletDragInfo tdi);

	void draggingExited(Thinlet thinlet, ThinletDragInfo tdi);

	boolean prepareForDrop(Thinlet thinlet, ThinletDragInfo tdi);

	void performDrop(Thinlet thinlet, ThinletDragInfo tdi);

	void finishDrop(Thinlet thinlet, ThinletDragInfo tdi);
}
