/*
 * Change.java
 *
 * Copyright (c) 2005 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

package net.emulab.netlab.client;

import java.io.IOException;

import net.emulab.netlab.client.emulab.EmulabExperimentProxy;

import org.apache.xmlrpc.XmlRpcException;

public interface Change
{
    String getDescription();

    boolean sameChange(Change ch);
    
    void changeExperiment(ExperimentParameters ep,
			  EmulabExperimentProxy eep)
	throws XmlRpcException, IOException;
}
