package net.emulab.netlab.client;
import java.io.IOException;
/**
 * Controller for the about box.
 */
public class NSLocationController extends ControllerBase {
	/**
	 * Construct an AboutController with the given value.
	 * 
	 * @param netbuild
	 *            The NetlabClient instance this controller is attached to.
	 */
	 NetlabClient netl;
	public NSLocationController(NetlabClient netlab) {
		super(netlab);
		netl=netlab;
	}

	/**
	 * The "ok" button was clicked, close the window.
	 */
	public void ok(Object sender, int write, Object loc) throws IOException {
		String locat = this.netlab.getString(loc,"text");
		this.netlab.showFile1(sender,write,locat);
		if (this.netlab.getParent(this.view) != null)
			this.netlab.remove(this.view);
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "NSLocationController[" + super.toString() + "]";
	}
}
