package net.emulab.ns;

import java.util.SortedSet;
import java.util.TreeSet;

public class NSEventGroup extends NSBase {
	private final SortedSet members = new TreeSet();

	public NSEventGroup() {
	}

	public void addMember(NSObject nso) {
		this.members.add(nso);
	}

	public SortedSet getMembers() {
		return this.members;
	}

	public String toString() {
		return "NSEventGroup[" + super.toString() + "; members=" + this.members
				+ "]";
	}
}
