/*
 * NSHardVType.java
 *
 * Copyright (c) 2005 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

package net.emulab.ns;

/**
 * This class represents a "hard" virtual type in Emulab extended NS syntax.
 */
public class NSHardVType extends NSVType {
	/**
	 * Construct an empty hard vtype.
	 */
	public NSHardVType() {
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "NSHardVType[" + super.toString() + "]";
	}
}
