package net.emulab.ns;

public class NSProgram extends NSBase {
	private NSNode node;

	private String directory = "";

	private String command = "";
	
	private int timeout = -1;

	private int eec = 0;
	
	public NSProgram() {
	}

	public NSNode getNode() {
		return this.node;
	}

	public NSProgram setNode(NSNode node) {
		this.node = node;
		return this;
	}

	public String getDirectory() {
		return this.directory;
	}

	public NSProgram setDirectory(String directory) {
		this.directory = directory;
		return this;
	}

	public String getCommand() {
		return this.command;
	}

	public NSProgram setCommand(String command) {
		this.command = command;
		return this;
	}

	public int getTimeout() {
		return this.timeout;
	}

	public NSProgram setTimeout(int timeout) {
		this.timeout = timeout;
		return this;
	}
	
	public int getExpectedExitCode() {
		return this.eec;
	}
	
	public NSProgram setExpectedExitCode(int code) {
		this.eec = code;
		return this;
	}

	public String toString() {
		return "NSProgram[" + super.toString() + "; node=" + this.node
				+ "; directory=" + this.directory + "; command=" + this.command
				+ "; timeout=" + this.timeout + "]";
	}
}
