package net.emulab.util;

import java.io.IOException;
import java.util.Properties;

public class EnvironmentVariables extends Properties {
	public static final EnvironmentVariables DEFAULT = new EnvironmentVariables();

	public EnvironmentVariables() {
		try {
			Process proc = Runtime.getRuntime().exec("env");
			
			this.load(proc.getInputStream());
			proc.waitFor();
		} catch (IOException ioe) {
			ioe.printStackTrace();
		} catch (InterruptedException ie) {
			ie.printStackTrace();
		} catch (SecurityException se) {
		}
	}

	public static void main(String args[]) {
		System.out.println(DEFAULT);
	}
}
