package thinlet;

public class ThinletEntryException extends IllegalArgumentException {
	protected final String exp;

	public ThinletEntryException(String msg, String exp) {
		super(msg);

		this.exp = exp;
	}

	public String getExplanation() {
		return this.exp;
	}

	public String toString() {
		return super.toString() + "; " + exp;
	}
}
