/*
 * NSSoftVTypeTest.java
 *
 * Copyright (c) 2005 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

import net.emulab.ns.NSSoftVType;

public class NSSoftVTypeTest
{
    public static void main(String args[])
    {
	NSSoftVType nsvt;

	nsvt = new NSSoftVType();

	try
	{
	    nsvt.setWeight(-1.0);
	    System.out.println("Able to set negative weight?");
	}
	catch(IllegalArgumentException e)
	{
	}

	try
	{
	    nsvt.setWeight(2.0);
	    System.out.println("Able to set high weight?");
	}
	catch(IllegalArgumentException e)
	{
	}

	System.out.println("done");
    }
}

/* Expected Output:
done
*/
